Remove shellmanagers group on wikitech
Closed, ResolvedPublic

Description

Previously, users needed to be manually given the shell right, and the shellmanagers group had the right do so now. This is now handled automatically: When a user is added to a Labs project, the shell right is given. So the shellmanagers group makes no sense more and should be removed.

If this is right, then I shall amend a couple of patches where this usergroup is present.

@bd808 I understand. Is the process at https://wikitech.wikimedia.org/wiki/Nova_Resource:Tools/Access_Request still needed then?

Thanks for the explanation, this is helpful. I'll amend my previous patches removing references to the shellmanagers, etc.

Regards.

Change 338632 had a related patch set uploaded (by MarcoAurelio):
Removing the 'shellmanagers' group from Wikitech

https://gerrit.wikimedia.org/r/338632

@bd808 I understand. Is the process at https://wikitech.wikimedia.org/wiki/Nova_Resource:Tools/Access_Request still needed then?

Yes, that process is for getting membership in the Tools project. We have been talking a bit about changing the exact mechanics of how that process works (T72625), but it is still needed.

Change 338751 had a related patch set uploaded (by MarcoAurelio):
Configuration changes for wikitech.wikimedia.org

https://gerrit.wikimedia.org/r/338751

Patches submitted to remove the shellmanagers group and to grant the ability to add/remove the shell usergroup to Wikitech bureaucrats.

MarcoAurelio lowered the priority of this task from "Normal" to "Low".Feb 20 2017, 12:31 PM
Dereckson raised the priority of this task from "Low" to "Normal".EditedFeb 20 2017, 9:42 PM
Dereckson added a subscriber: Dereckson.

Now we have a patch for that, we can prioritize it a little bit more upper than low.

Change 338751 merged by jenkins-bot:
Configuration changes for wikitech.wikimedia.org

https://gerrit.wikimedia.org/r/338751

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-02-22T19:14:36Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:338751|Configuration changes for wikitech.wikimedia.org]] T158516 T158554 T158482 (duration: 00m 40s)

Change 338632 merged by jenkins-bot:
Removing the 'shellmanagers' group from Wikitech

https://gerrit.wikimedia.org/r/338632

Mentioned in SAL (#wikimedia-operations) [2017-02-22T19:34:34Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:338632|Removing the "shellmanagers" group from Wikitech]] T158482 (duration: 00m 49s)

Change 339238 had a related patch set uploaded (by MarcoAurelio):
Follow-up I5edebdff

https://gerrit.wikimedia.org/r/339238

Change 339238 merged by jenkins-bot:
Follow-up I5edebdff

https://gerrit.wikimedia.org/r/339238

Mentioned in SAL (#wikimedia-operations) [2017-02-22T19:45:44Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:339238|Finish removing "shellmanagers" on Wikitech]] T158482 (duration: 00m 40s)

MarcoAurelio closed this task as "Resolved".Feb 22 2017, 7:46 PM